.media-header {
    color: $white;
    overflow: hidden;
    position: relative;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background: rgba(0,0,0,0.5);
    }

    &__bg {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        display: block;
        position: absolute;
    }

    &__video {
        display: none;
    }

    &__content {
        z-index: 20;
        position: relative;
        padding: rem(100) 0;
        display: flex;
        flex-direction: column;
    }

    &__title {
        margin-bottom: rem(30);
    }

    &__wrap {
        margin:  auto 0;
        text-align: center;
    }

    &__date {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(24);
        margin-bottom: rem(30);
    }

    &__button {
        padding: rem(10);
    }

    @include media-breakpoint-up(md) {

        &__date {
            margin-bottom: rem(50);
        }

        &__title {
            margin-bottom: rem(50);
        }

        &__buttons {
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }

    @include media-breakpoint-up(xl) {

        &__bg {
            display: none;
        }

        &__video {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            display: block;
            position: absolute;

            iframe {
                min-width: 100%;
                min-height: 100%;
                width: auto;
                height: auto;
                position: absolute;
                background-size: cover;
            }
        }
    }
    @include media-breakpoint-up(xxl) {}
}

.event-container {
    margin: 0 auto;
    padding-top: rem(20);
    max-width: rem(1120);

    @include media-breakpoint-up(md) {
        padding-top: rem(40);
    }
}

.event-group {
    margin-bottom: rem(80);

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(100);
    }
}

.event-date {
    font-weight: 700;
    font-size: rem(28);
    text-align: center;
    margin-bottom: rem(40);

    @include media-breakpoint-up(xl) {
        font-size: rem(36);
    }
}

.event-media {
    max-width: rem(960);
    margin: 0 auto rem(40) auto;

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(60);
    }
}

.event-subtitle {
    position: relative;
    font-size: rem(18);
    line-height: rem(22);
    margin-bottom: rem(30);
    padding-left: rem(20);

    &:before {
        top: rem(9px);
        left: 0;
        width: 6px;
        height: 6px;
        content: '';
        background: $white;
        position: absolute;
    }
}

.promo-header {
    font-size: rem(24);
    line-height: rem(32);
    margin-bottom: rem(60);

    &__wrap {
        margin-bottom: rem(10);
        position: relative;
        padding-left: rem(64);
    }

    &__letter {
        top: 0;
        left: 0;
        height: calc(100% - 6px);
        color: $dark;
        font-size: rem(76);
        line-height: rem(76);
        background: $yellow;
        position: absolute;
    }

    &__text {
        color: $yellow;
    }

    &__value {
        color: $yellow;
        font-size: rem(90);
        line-height: rem(90);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(40);
        line-height: rem(44);

        &__wrap {
            padding-left: rem(94);
        }

        &__letter {
            font-size: rem(124);
            line-height: rem(124);
        }

        &__value {
            font-size: rem(140);
            line-height: rem(140);
        }
    }

    @include media-breakpoint-up(lg) {
        margin-bottom: rem(100);
        font-size: rem(52);
        line-height: rem(60);

        &__letter {
            font-size: rem(160);
            line-height: rem(160);
        }

        &__wrap {
            padding-left: rem(140);
        }

        &__value {
            font-size: rem(160);
            line-height: rem(160);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(46);
        line-height: rem(52);
        position: relative;
        margin-bottom: rem(180);

        &__wrap {
            position: static;
            padding-left: rem(130);
        }

        &__text {
            padding-left: rem(130);
        }

        &__letter {
            height: rem(216);
        }

        &__value {
            padding-left: rem(130);
        }
    }
}

.event-header {
    color: $yellow;
    font-weight: 500;
    font-size: rem(44);
    line-height: rem(48);
    margin-bottom: rem(30);

    @include media-breakpoint-up(md) {
        font-size: rem(64);
        line-height: rem(72);
        margin-bottom: rem(70);
    }

}

.event-section {
    margin-bottom: rem(80);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(120);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(160);
    }
}

.event-data {
    display: grid;
    grid-row-gap: rem(40);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr 1fr;

    &__item {
        text-align: center;
    }

    &__value {
        white-space: nowrap;
        margin-bottom: rem(10);
        font-weight: 500;
        font-size: rem(30);
        line-height: rem(36);
    }

    &__label {
        color: $dark;
        padding: 0 rem(10);
        height: rem(50);
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(20);
        background: $yellow;
        border-radius: 25px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(md) {
        grid-column-gap: rem(40);
        grid-row-gap: rem(60);

        &__value {
            font-size: rem(56);
            line-height: rem(64);
        }

        &__label {
            height: rem(80);
            font-size: rem(24);
            line-height: rem(32);
            border-radius: rem(40);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(80);

        &__value {
            font-size: rem(64);
            line-height: rem(72);
            margin-bottom: rem(30);
        }
    }

    @include media-breakpoint-up(xl) {
        grid-column-gap: rem(180);

        &__value {
            font-size: rem(96);
            line-height: rem(110);
        }
    }
}

.video-collage {
    position: relative;
    padding-bottom: rem(40);

    &__item {
        position: relative;
        margin-bottom: rem(30);
    }

    &__media {
        height: rem(240);
    }

    &__link {
        z-index: 10;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: block;
        position: absolute;
    }

    &__lines {
        display: none;
    }

    @include media-breakpoint-up(md) {
        min-height: rem(900);
        width: rem(690);
        margin: 0 auto;

        &__item {
            position: absolute;

            &:before {
                z-index: 1;
                content: '';
                width: 100%;
                height: 100%;
                position: absolute;
                border: 2px solid $white;
            }

            &--01 {
                top: rem(12);
                left: rem(10);
                width: rem(190);
                height: rem(260);

                &:before {
                    top: rem(-10);
                    transform: rotate(358deg);
                }
            }

            &--02 {
                top: rem(88);
                left: rem(280);
                width: rem(192);
                height: rem(126);

                &:before {
                    transform: rotate(4deg);
                }
            }

            &--03 {
                top: rem(28);
                right: 20px;
                width: rem(118);
                height: rem(140);

                &:before {
                    transform: rotate(4deg);
                }
            }

            &--04 {
                top: rem(414);
                left: rem(280);
                width: rem(120);
                height: rem(142);

                &:before {
                    transform: rotate(4deg);
                }
            }

            &--05 {
                top: rem(300);
                left: rem(480);
                width: rem(152);
                height: rem(214);

                &:before {
                    transform: rotate(354deg);
                }
            }

            &--06 {
                top: rem(600);
                left: rem(390);
                width: rem(120);
                height: rem(144);

                &:before {
                    transform: rotate(353deg);
                }
            }
        }

        &__media {
            z-index: 5;
            position: absolute;

            &--01 {
                width: 100%;
                height: 100%;
                transform: rotate(352deg);
            }

            &--02 {
                top: rem(4);
                right: rem(20);
                width: rem(220);
                height: rem(157);
            }

            &--03 {
                top: rem(15);
                right: 0;
                width: rem(156);
                height: rem(156);
            }

            &--04 {
                top: rem(-24);
                right: 0;
                width: rem(200);
                height: rem(160);
                transform: rotate(356deg);
            }

            &--05 {
                right: rem(20);
                width: rem(156);
                height: rem(215);
            }

            &--06 {
                right: rem(20);
                width: rem(156);
                height: rem(164);
            }
        }

        &__lines {
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            display: block;
            position: absolute;

            &:after,
            &:before {
                content: '';
                background: $white;
                position: absolute;
            }

            &--01 {

                &:before {
                    top: 100%;
                    left: 100px;
                    height: 500px;
                    width: 1px;
                    transform: rotate(346deg);
                }

                &:after {
                    top: 70%;
                    left: 140px;
                    height: 300px;
                    width: 1px;
                    transform: rotate(320deg);
                }
            }

            &--02 {

                &:before {
                    top: 10%;
                    right: 100%;
                    height: 200px;
                    width: 1px;
                    transform: rotate(75deg);
                }

                &:after {
                    top: 70%;
                    left: 100%;
                    height: 200px;
                    width: 1px;
                    transform: rotate(320deg);
                }
            }

            &--03 {

                &:before {
                    top: 5%;
                    right: 100%;
                    height: 240px;
                    width: 1px;
                    transform: rotate(65deg);
                }
            }

            &--04 {

                &:before {
                    top: 47%;
                    left: -10px;
                    height: 300px;
                    width: 1px;
                    transform: rotate(28deg);
                }
            }

            &--05 {

                &:before {
                    top: 0;
                    right: 100%;
                    height: 200px;
                    width: 1px;
                    transform: rotate(55deg);
                }

                &:after {
                    top: 85%;
                    left: 35%;
                    height: 200px;
                    width: 1px;
                    transform: rotate(30deg);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(1120);
        min-height: rem(1200);

        &__item {

            &--01 {
                width: rem(260);
                height: rem(360);
            }

            &--02 {
                left: calc(50% - 90px);
                width: rem(260);
                height: rem(170);
            }

            &--03 {
                width: rem(160);
                height: rem(190);
            }

            &--04 {
                left: rem(330);
                top: rem(570);
                width: rem(160);
                height: rem(190);
            }

            &--05 {
                top: rem(368);
                left: auto;
                right: 0;
                width: rem(260);
                height: rem(360);
            }

            &--06 {
                left: rem(660);
                top: rem(780);
                width: rem(160);
                height: rem(190);
            }
        }

        &__media {

            &--02 {
                width: 120%;
                height: 120%;
            }

            &--03 {
                top: 6px;
                left: auto;
                right: rem(20);
                width: 95%;
                height: 95%;
            }

            &--04 {
                left: calc(50% - 160px);
                top: rem(24);
                width: rem(332);
                height: rem(204);
            }

            &--05 {
                width: 100%;
                height: 100%;
                transform: rotate(7deg);
            }

            &--06 {
                width: 100%;
                height: 100%;
                transform: rotate(7deg);
            }
        }

        &__lines {

            &--01 {

                &:before {
                    top: 80%;
                    left: 110px;
                    height: 670px;
                    width: 1px;
                    transform: rotate(346deg);
                }

                &:after {
                    top: 80%;
                    left: 200px;
                    height: 450px;
                    width: 1px;
                    transform: rotate(320deg);
                }
            }

            &--02 {

                &:before {
                    top: -50px;
                    right: 100%;
                    height: 400px;
                    width: 1px;
                    transform: rotate(75deg);
                }

                &:after {
                    top: 20%;
                    left: auto;
                    right: -50px;
                    height: 350px;
                    width: 1px;
                    transform: rotate(320deg);
                }
            }

            &--03 {

                &:before {
                    top: -55px;
                    left: -100px;
                    right: auto;
                    height: 350px;
                    width: 1px;
                    transform: rotate(65deg);
                }
            }

            &--04 {

                &:before {
                    top: 47%;
                    left: -10px;
                    height: 320px;
                    width: 1px;
                    transform: rotate(28deg);
                }
            }

            &--05 {

                &:before {
                    top: -100px;
                    left: -100px;
                    right: 0;
                    height: 500px;
                    width: 1px;
                    transform: rotate(55deg);
                }

                &:after {
                    top: 85%;
                    left: 10%;
                    height: 300px;
                    width: 1px;
                    transform: rotate(40deg);
                }
            }
        }
    }
}

.text-collage {

    &__media {
        display: none;
    }

    &__title {
        font-size: rem(28);
        line-height: rem(32);
        margin-bottom: rem(30);
    }

    .btn {
        width: 100%;
    }

    @include media-breakpoint-up(md) {
        width: rem(690);
        margin: 0 auto;
        display: flex;
        align-items: center;

        &__media {
            width: rem(210);
            display: block;
            flex-shrink: 0;
        }

        &__image {
            transform: rotate(352deg);
        }

        &__content {
            padding-left: rem(60);
        }

        &__title {
            font-size: rem(54);
            line-height: rem(60);
            margin-bottom: rem(30);
        }

        .btn {
            width: auto;
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(1120);

        &__media {
            width: rem(400);
        }
    }
}

.arrow-block {
    padding-top: rem(40);
    padding-bottom: 24vw;
    text-align: center;
    font-weight: 600;
    font-size: rem(36);
    line-height: rem(42);
    color: $black;
    background: $yellow;
    position: relative;

    &__bg {
        left: 0;
        right: 0;
        bottom: -1px;
        font-size: 0;
        line-height: 0;
        overflow: hidden;
        position: absolute;
    }

    &__svg {
        left: 50%;
        width: 101%;
        display: block;
        position: relative;
        transform: translateX(-50%);
    }

    @include media-breakpoint-up(lg) {
        padding-top: rem(80);
        font-size: rem(56);
        line-height: rem(64);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(96);
        line-height: rem(110);
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
